MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/mixer_all.h File Reference

Functions which affect the mixers of all audio outputs. More...

`#include <stdbool.h>`

Go to the source code of this file.

## Functions
int | mixer_all_get_volume (void)
| Returns the average volume of all available mixers (range 0..100).
bool | mixer_all_set_volume (unsigned volume)
| Sets the volume on all available mixers.
int | mixer_all_get_software_volume (void)
| Similar to mixer_all_get_volume(), but gets the volume only for software mixers.
void | mixer_all_set_software_volume (unsigned volume)
| Similar to mixer_all_set_volume(), but sets the volume only for software mixers.

## Detailed Description

Functions which affect the mixers of all audio outputs.

Definition in file mixer_all.h.

## Function Documentation

int mixer_all_get_software_volume | ( | void |  | ) |

Similar to mixer_all_get_volume(), but gets the volume only for software mixers.

See software_mixer_plugin. This function fails if no software mixer is configured.

int mixer_all_get_volume | ( | void |  | ) |

Returns the average volume of all available mixers (range 0..100).

Returns -1 if no mixer can be queried.

void mixer_all_set_software_volume | ( | unsigned | volume | ) |

Similar to mixer_all_set_volume(), but sets the volume only for software mixers.

See software_mixer_plugin. This function cannot fail, because the underlying software mixers cannot fail either.

bool mixer_all_set_volume | ( | unsigned | volume | ) |

Sets the volume on all available mixers.

Parameters:

  volume | the volume (range 0..100)

Returns:
  true on success, false on failure